Show / Hide Table of Contents

# Class ClassJob

This object represents a class or job.

##### Inheritance

System.Object
BaseResolver
ClassJob

##### Inherited Members

BaseResolver.dalamud
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Resolvers

###### Assembly: Dalamud.dll

##### Syntax

    public class ClassJob : BaseResolver

### Constructors

| Improve this Doc View Source

#### ClassJob(Byte, Dalamud)

Set up the ClassJob resolver with the provided ID.

##### Declaration

    public ClassJob(byte id, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | id | The ID of the world.
Dalamud | dalamud |

### Fields

| Improve this Doc View Source

#### Id

ID of the ClassJob.

##### Declaration

    public readonly uint Id

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Properties

| Improve this Doc View Source

#### GameData

GameData linked to this ClassJob.

##### Declaration

    public ClassJob GameData { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.ClassJob |